name=CDS/ISIS դեմո
Collation=Համադրում
HideCDSrecord=Թաքցնել CDS/ISIS գրառումը
CorporateAuthors=Համատեղ հեղինակներ
ShowCDSrecord=Ցույց տալ CDS/ISIS գրառումը
Series=Մատենաշար
Authors=Հեղինակներ
OtherLanguageTitles=Այլ լեզուներով վերնագրեր
Imprint=Տպագրություն
sampleoid=D0s103
Keywords=Բանալի բառեր
Title=Վերնագիր
Conference=Համաժողով
Notes=Նշումներ
CDSrecord=CDS/ISIS գրառում
AddedTitle=Ավելացված վերնագիր
Edition=Հրատարակություն
Meetings=Հանդիպումներ

Notes^all=նշումներ
PersonalAuthors^all=անձնական հեղինակներ
AddedTitle^all=ավելացված վերնագիր
Imprint^all=տպագրություն
ConferenceMainEntry^all=համաժողովի հիմնական մուտք
CorporateBodies^all=համատեղ մարմիններ
Series^all=մատենաշար
OtherLanguageTitles^all=այլ լեզուներով վերնագրեր
Keywords^all=բանալի բառեր
Collation^all=համադրում
Title^all=վերնագիր
text=հում գրառում
Meetings^all=հանդիպումներ
Edition^all=հրատարակություն

shortDescription=Այս հավաքածուն կառուցված է CDS/ISIS տվյալների բազայի վրա:
description1a=<p>Այս հավաքածուն կառուցված է մատենագիտական ​​գրառումների <a href="{0-url}">CDS/ISIS</a> տվյալների շտեմարանի վրա: <a href="{1-sample}">Այստեղ</a> առկա է գրառմա օրինակ:</p>

description1=<h3>Ինչպես է աշխատում հավաքածուն</h3><p>Հավաքածուի կազմաձևման նիշքը, <tt>etc/collectionConfig.xml</tt> նշում է ISISPlugin հավելվածը, որը մշակում է CDS/ISIS տվյալների շտեմարանները: Այս տվյալների շտեմարաններն ունեն մի քանի նիշք, բայց ISISPlugin-ն օգտագործում է ընդամենը երեքը\: CDS.fdt (որտեղ CDS-ը տվյալների բազայի անվանումն է), որը պարունակում է տվյալների բազայում օգտագործվող դաշտերի անունները, CDF.xrf (խաչհղման նիշք) և CDS․mst, որը պարունակում է իրական գրառումները: Ամեն անգամ, երբ ISISPlugin-ը հանդիպում է «.mst» նիշքի, այն փնտրում է համապատասխան «.fdt» և «.xrf» նիշքերը: Այս դեպքում plugin-ին տրվել է <i>input_encoding</i> փաստարկ, քանի որ տվյալների բազայի որոշ մուտքեր պարունակում են ընդլայնված նիշեր (այն ձևով, որն օգտագործվում էր DOS օպերացիոն համակարգի վաղ տարբերակներում): Դրան տրվել է նաև ենթադաշտի բաժանարար փաստարկ, որի նպատակը բացատրվում է ստորև: <i>-OIDtype incremental</i> փլագին տարբերակը օգտագործվել է տարբեր օպերացիոն համակարգերում համապատասխան նույնացուցիչներ տալու համար (ինչը կարող է տեղի չունենալ HASH նույնացուցիչների դեպքում), որպեսզի մենք կարողանանք կապել այս նկարագրությունում առկա փաստաթղթին:</p>

description2=<p>Ինչպես <a href="library/collection/bibtex-e/page/about">մատենագիտական ​​հավաքածուն</a>, այս հավաքածուն ներառում է <a href="library/collection/isis-e/search/FieldQuery">ձևի վրա հիմնված որոնման միջերես</a>, որը թույլ է տալիս ըստ դաշտի որոնում: Սա նշվում է կազմաձևման նիշքում <i>format SearchTypes "form,plain"</i> տողով; <i>plain</i> արգումենտը երաշխավորում է, որ կա նաև պարզ տեքստային ամբողջական տեքստի որոնման հատկություն (որը կարելի է ընտրել <a href="library/page/pref">Նախապատվություններ</a> էջից)։ <i>&lt;importOption name="groupsize" value="100"/&gt;</i> տողը <tt>collectionConfig.xml</tt> նիշքում փաստաթղթերը միավորում է  խմբերի ըստ 100-ների (ինչպես բացատրված է <a href="library/collection/bibtex-e/page/about">մատենագիտական ​​հավաքածու</a>):</p>

description3=<p>CDS/ISIS տվյալների բազաների որոշ դաշտեր ունեն ենթադաշտեր: Օրինակ, այս դեպքում <i>Imprint</i> դաշտն ունի ենթադաշտեր <i>Imprint.a</i> տեղի համար, <i>Imprint.b</i> հրատարակչի համար և <i>Imprint.c</i> ամսաթվի համար: Յուրաքանչյուր դաշտի և ենթադաշտի համար ISISPlugin-ը ստեղծում է մետատվյալների տարր -- այս դեպքում կլինեն մետատվյալներ՝ <i>Imprint^a</i>, <i>Imprint^b</i> և <i>Imprint^c< /i>։ (Կարող է լինել դաշտ, որը կոչվում է պարզապես <i>Imprint</i>, չնայած այս դեպքում չկա:) ISISPlugin-ը նաև ստեղծում է մետատվյալների տարր, որը կոչվում է <i>Imprint^all</i>, որը տալիս է բոլոր ենթադաշտերը միացված միասին, առանձնացված նիշերի տողով, որը նշվել է որպես plugin-ի արգումենտ (այս դեպքում ", "):</p>

description4=<p>Այս հավաքածուի նախագծողը որոշել է ստեղծել որոնելի ինդեքսներ <i>^all</i> մետատվյալների բոլոր դաշտերում, ինչպես նաև <i>text</i>-ի վրա, որը նաև որոնելի է դարձնում չմշակված գրառումները: Իհարկե, դիզայները կարող էր փոխարենը ստեղծել որոնելի ինդեքսներ ցանկացած ենթադաշտում -- կամ նույնպես:</p>

description5=<p>Գոյություն ունի զննարկման երկու դասակարգիչ՝ <i>AZList</i>, որը հիմնված է <i>Title</i> մետատվյալների վրա և <i>AZCompactList</i>՝ հիմնված <i>Keyword</i> մետատվյալների վրա: . Հիշեք, որ <i>AZCompactList</i> դասակարգիչը նման է <i>AZList</i>-ին, բայց ստեղծում է գրադարակ կրկնօրինակ տարրերի համար: <i>VList</i> ձևաչափի հստակեցումը վերաբերում է և՛ որոնման արդյունքների ցանկին, և՛ <i>Վերնագիր</i> դասակարգիչին, մինչդեռ <i>CL2VList</i>-ը նշում է յուրաքանչյուր հիմնաբառի հետ կապված փաստաթղթերի քանակը որը նկարագրված է <a href="library/collection/marc-e/page/about">ՄԵԸՔ օրինակների հավաքածու</a>: Գրինսթոունում և CDS/ISIS-ում ցանկացած մետատվյալների տարր կարող է ունենալ մի քանի տարբեր արժեքներ: <i>VList</i> հստակեցումը <nobr><i>sibling(All'; ')</i></nobr> հավաքում է բոլոր արժեքները՝ բաժանված (այս դեպքում) կետ ստորակետով:</p>

description6=<p><i>DocumentContent</i> ձևաչափի հստակեցումը ներառում է չմշակված գրառումները թաքցնելու և ցուցադրելու նույն մեխանիզմը, որը բացատրված է <a href="library/collection/bibtex-e/page/about">Մատենագիտական հավաքածու</ a>՝ օգտագործելով <i>DocumentHeading</i>՝ ձևաչափված գրառումը ցուցադրելու համար և <i>DocumentContent</i>՝ ցույց տալու (կամ թաքցնելու) տվյալների բազայի բնօրինակ մուտքը:</p>
